import { EventEmitter } from 'events'

// Gunakan global variable agar tidak ter-reset saat hot-reload (development)
// Di production (PM2 1 instance), ini akan berjalan sebagai singleton.
declare global {
  var _eventEmitter: EventEmitter | undefined
}

export const eventEmitter = global._eventEmitter || new EventEmitter()

if (process.env.NODE_ENV !== 'production') {
  global._eventEmitter = eventEmitter
}

// Tingkatkan batas pendengar jika banyak koneksi
eventEmitter.setMaxListeners(100)
